local M = {}

function M.show_vegetable(gdsobj)
  local name = gdsobj.name
  print(string.format('name: %s', name))
end

function M.make_vegetable(gdslib, name)
  local veg = gdslib.vegetableType()
  veg.name = name
  return veg
end

function M.add_vegetables(gdslib, vegetables, names)
  for idx, name in python.enumerate(names) do
    local veg = M.make_vegetable(gdslib, name)
    veg.catalogID = string.format('002-%03d', idx + 1)
    vegetables.add_vegetable(veg)
  end
end

function M.upcase_names(_, root)
  local objs = root.vegetables.vegetable
  for _, obj in python.enumerate(objs) do
    obj.name = string.upper(obj.name)
  end
  objs = root.fruits.fruit
  for _, obj in python.enumerate(objs) do
    obj.name = string.upper(obj.name)
  end
end

function M.export_it(root, stdout)
  print('xxxxxxxxxxxxxxxxxxxxxx')
  root.export(stdout, 3)
  print('xxxxxxxxxxxxxxxxxxxxxx')
end

return M
